/******************************************************************************/
//    File Name     : Spiral.java
//                            Java Applet source file
//    Name          : Yoshiyuki Tanaka
//                    (e-Mail : tanaka_y@jaist.ac.jp)
//    Class Name    :     1.Spiral()
/******************************************************************************/

/******************************************************************************/
//    Class Name    : Spiral
/******************************************************************************/
class Spiral extends Model1Initializer
{
    /***** VALUE DATA *****/
    public static Model1Param param  = new Model1Param();

    /***** CONSTRUCTOR *****/
    Spiral(Model1s _cells){ super(_cells) ;}

    /***** METHOD DATA *****/
    /**************************************************************************/
    //    Method Name   : initializ()
    /**************************************************************************/
    public Model1s initializ()
    {
        int R      = param.getR();
        int d      = param.getd();
        int r      = (int)(R/d);
        int max    = param.getn() + 2;
        int min    = 0;
        int l      = 2;

        int h = (int)(cells.cell.length / 2);

        for(int i = 0; i < h; i++){
            for(int j = min; (j <= max)&&( ( (j + 1)*l ) < h ); j++){
                cells.cell[i][h + j].setCell(max - j);
            }
        }
        return cells;
    }

}


/**** END_of_file: Spiral.java **************************************************/
